Skip to main content
POST
Run mailbox filters on a folder

Authorizations

Authorization
string
header
required

Your Inbound API key. Include it in the Authorization header as: Bearer

Path Parameters

id
string
required

Body

folder
string
required

Folder to run the filters over, for example INBOX

Required string length: 1 - 255
afterUid
integer

Only messages with a higher UID. Pass the previous response's lastUid to continue.

Required range: x >= 0
limit
integer
default:500

Messages to process in this call (at most 500)

Required range: 1 <= x <= 500

Response

Response for status 200

folder
string
required
processed
number
required

Messages examined in this batch

lastUid
number · null · null
required

UID of the last message examined (afterUid when nothing was processed)

hasMore
boolean
required

True when the batch was full and more messages may remain